Bug 49387 - Unable to modify default charset setting to UTF-8 or Shift_JIS
Summary: Unable to modify default charset setting to UTF-8 or Shift_JIS
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Runtime Config (show other bugs)
Version: 2.2.3
Hardware: PC Linux
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-06-03 18:35 UTC by nayyar.hitesh
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nayyar.hitesh 2010-06-03 18:35:37 UTC
Hi,

Apache web server uses ISO-8859-1 as default charset for sending all the responses, whereas as I want to use UTF-8 or shift_JIS as charset. I tried adding the parameter "AddDefaultCharset UTF-8" in httpd.conf file as well as .htaccess file (After modifying Allowoverride to value All), but still when I am accessing a page apache uses "ISO-8859-1" in response charset.
I am using the resources which are using "shift_JIS" encodings in the <meta> tags and apache is overriding the same with ISO-8859, that is why in the final page I am seeing junk characters and I have to change the encoding setting manually in the client browser to see proper text.
Comment 1 Eric Covener 2011-08-07 19:08:14 UTC
Need to see a config file, request, and response to determine if there's a bug.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.